<template>
  <lazy-theme-desktop-peru-referral v-if="selectedThemeName.includes('peru')" />
  <div v-else-if="isMobile">
    <lazy-new-black-theme-m-header-title
      v-if="allowTheme"
      :title="$t('referral')"
    />
    <div class="w-full bd-top" :class="{ 'fixed-header': allowTheme }">
      <el-tabs v-model="activeName">
        <el-tab-pane name="referral-referral">
          <template #label>
            <nuxt-link to="/referral/referral" class="py-4">{{
              $t("referral")
            }}</nuxt-link>
          </template>
        </el-tab-pane>
        <el-tab-pane v-if="!allowTheme" name="referral-history">
          <template #label>
            <nuxt-link to="/referral/history" class="py-4">{{
              $t("history")
            }}</nuxt-link>
          </template>
        </el-tab-pane>
        <el-tab-pane v-else name="referral-history">
          <template #label>
            <nuxt-link to="/referral/history" class="py-4">{{
              $t("reward")
            }}</nuxt-link>
          </template>
        </el-tab-pane>
        <el-tab-pane name="referral-diagram">
          <template #label>
            <nuxt-link to="/referral/diagram" class="py-4">{{
              $t("diagram")
            }}</nuxt-link>
          </template>
        </el-tab-pane>
      </el-tabs>
    </div>
    <div class="overflow-auto" style="margin-top: 48px">
      <nuxt-page />
    </div>
  </div>
  <user-center-layout v-else :title="$t('referral')">
    <div class="flex relative referral-page-desktop p-6 pt-0">
      <div
        class="w-[325px] flex justify-center items-center referral-page-desktop-left"
      >
        <div class="flex flex-col py-[40px] px-[15px] mt-auto">
          <img
            :src="getAssetImage('assets/referral/pic-referral.png')"
            class="z-10 -mb-8"
            width="250"
          />
          <div class="bg-background2 shadow-md py-12 px-9 rounded-lg w-[296px]">
            <h2 class="text-2xl font-bold fc-secondary">
              {{ $t("refer_your_friend_to_get_more_reward") }}
            </h2>
            <div class="flex flex-row justify-center mt-8 mb-5">
              <qrcode-vue
                id="qrCode"
                :value="referralLink"
                size="116"
                class="p-2 bg-white rounded"
              ></qrcode-vue>
            </div>
            <el-row class="gap-3 px-8">
              <el-button
                type="primary"
                class="w-full uppercase"
                round
                @click="onCopyQRCode"
              >
                {{ $t("download_qrcode") }}
              </el-button>
              <el-button
                type="primary"
                class="w-full uppercase second-btn"
                round
                @click="onCopyTextToClipBoard"
                style="margin-left: 0;"
              >
                {{ $t("copy_link") }}
              </el-button>
            </el-row>
          </div>
        </div>
      </div>
      <div
        class="referral-page-content flex border-left referral-page-desktop-right"
      >
        <div class="w-full max-w-full">
          <div class="h-[73vh] w-full overflow-hidden">
            <div class="mb-2">
              <el-tabs v-model="activeName" class="demo-tabs">
                <el-tab-pane name="referral-referral">
                  <template #label>
                    <nuxt-link to="/referral/referral" class="py-4">{{
                      $t("referral")
                    }}</nuxt-link>
                  </template>
                </el-tab-pane>
                <el-tab-pane name="referral-history">
                  <template #label>
                    <nuxt-link to="/referral/history" class="py-4">{{
                      $t("history")
                    }}</nuxt-link>
                  </template>
                </el-tab-pane>
                <el-tab-pane name="referral-diagram">
                  <template #label>
                    <nuxt-link to="/referral/diagram" class="py-4">{{
                      $t("diagram")
                    }}</nuxt-link>
                  </template>
                </el-tab-pane>
              </el-tabs>
            </div>
            <el-scrollbar>
              <div class="w-full">
                <nuxt-page />
              </div>
            </el-scrollbar>
          </div>
        </div>
      </div>
    </div>
  </user-center-layout>
</template>

<script lang="ts">
import { computed, defineComponent } from "vue";
import QrcodeVue from "qrcode.vue";
import { store } from "@/store";

definePageMeta({
  redirect: "/referral/referral",
});

export default defineComponent({
  components: {
    QrcodeVue,
  },
  setup() {
    const { activeName, handleClick } = useReferralTab();
    const {
      referralLink,
      onCopyTextToClipBoard,
      onCopyQRCode,
    } = useReferral();
    const arrayTheme = ["main", "black", "sbo", 'global', 'playful'];
    const allowTheme = computed(() =>
      arrayTheme.includes(store.state.selectedThemeName)
    );
    const isMobile = !useIsDesktop();
    const { getAssetImage } = commonHelper;
    const selectedThemeName = computed(() => store.state.selectedThemeName);
    return {
      activeName,
      handleClick,
      allowTheme,
      isMobile,
      getAssetImage,
      referralLink,
      onCopyTextToClipBoard,
      onCopyQRCode,
      selectedThemeName,
    };
  },
});
</script>
<style scoped>
.referral-page-content {
  max-width: calc(100% - 400px);
  width: calc(100% - 400px);
}
.fixed-header {
  position: fixed;
  top: 48px;
  z-index: 50;
  background: var(--background1);
}
.top0 {
  top: 0 !important;
}
:deep(.el-notification__content p) {
  word-break: break-all;
}

.bd-top {
  border-top: 1px solid var(--background4);
}
/* @media (max-width: 1024px) {
  .referral-page-desktop {
    flex-direction: column;
  }
  .referral-page-desktop-left,
  .referral-page-desktop-right {
    width: 100%;
  }
} */
</style>
<style>
.el-tree-node:focus > .el-tree-node__content {
  background-color: unset;
}
</style>
